# SLAGG - Simplified Load-balancing Algorithm for General Geometries

<!---
[![Documentation Status](https://readthedocs.org/projects/inference-tools/badge/?version=stable)](https://inference-tools.readthedocs.io/en/stable/?badge=stable)
[![PyPI - Downloads](https://img.shields.io/pypi/dm/inference-tools?color=purple)](https://pypi.org/project/inference-tools/)
[![DOI](https://zenodo.org/badge/149741362.svg)](https://zenodo.org/badge/latestdoi/149741362)
-->
[![GitHub license](https://img.shields.io/github/license/JarrodLeddy/slagg)](https://github.com/JarrodLeddy/slagg/blob/main/LICENSE)
![PyPI - Python Version](https://img.shields.io/pypi/pyversions/slagg)

This package provides a set of Python-based tools for creating load-balanced
domain decompositions that can be used for numerical simulations.

## Features

 - Ability to specify Grid, Geometry as STL, and desired Decomp slabs
 
 - Basic Decomposition can be augmented with refinements to load-balance and reduce memory usage

## Installation

slagg is available from [PyPI](https://pypi.org/project/slagg/), 
so can be easily installed using [pip](https://pip.pypa.io/en/stable/) as follows:
```bash
pip install slagg
```

## Documentation
[Decomposition Tutorial](https://github.com/JarrodLeddy/slagg/blob/master/demos/decomp_tutorial.ipynb)
